### Function

# Cogl shader_get_type

deprecated: 1.16 since: 13

#### Declaration [src]

    CoglShaderType
    cogl_shader_get_type (
      CoglHandle handle
    )

#### Description [src]

Retrieves the type of a shader `CoglHandle`.

Available since: 13

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`handle`

  Type: `CoglHandle`

  `CoglHandle` for a shader.

#### Return value

Type: `CoglShaderType`

`COGL_SHADER_TYPE_VERTEX` if the shader is a vertex processor or `COGL_SHADER_TYPE_FRAGMENT` if the shader is a fragment processor.